## rtl-wmbus 1.0.1

=== Makefile ===
RM=rm
MKDIR=mkdir
CC=gcc
STRIP=strip

OUTDIR?=build
OUTFILE="$(OUTDIR)/rtl_wmbus"
CFLAGS+=-Iinclude -std=gnu99
CFLAGS_WARNINGS?=-Wall -W -Waggregate-return -Wbad-function-cast -Wcast-align -Wcast-qual -Wchar-subscripts -Wcomment -Wno-float-equal -Winline -Wmain -Wmissing-noreturn -Wno-missing-prototypes -Wparentheses -Wpointer-arith -Wredundant-decls -Wreturn-type -Wshadow -Wsign-compare -Wstrict-prototypes -Wswitch -Wunreachable-code -Wno-unused -Wuninitialized
LIB?=-lm
SRC=rtl_wmbus.c

$(shell $(MKDIR) -p $(OUTDIR))

# Create a version number based on the latest git tag.
COMMIT_HASH?=$(shell git log --pretty=format:'%H' -n 1)
TAG?=$(shell git describe --tags --always)
BRANCH?=$(shell git rev-parse --abbrev-ref HEAD)
CHANGES?=$(shell git status -s | grep -v '?? ')

# Prefix with any development branch.
ifeq ($(BRANCH),master)
  BRANCH:=
else
  BRANCH:=$(BRANCH)_
endif

# The version is the git tag or tag-N-hash if there are N commits after the tag.
VERSION:=$(BRANCH)$(TAG)

ifneq ($(strip $(CHANGES)),)
  # There are local non-committed changes! Add this to the version string as well!
  VERSION:=$(VERSION) with local changes
  COMMIT_HASH:=$(COMMIT_HASH) with local changes
endif

$(shell echo "#define VERSION \"$(VERSION)\"" > $(OUTDIR)/version.h.tmp)
$(shell echo "#define COMMIT \"$(COMMIT_HASH)\"" >> $(OUTDIR)/version.h.tmp)

PREV_VERSION=$(shell cat -n $(OUTDIR)/version.h 2> /dev/null)
CURR_VERSION=$(shell cat -n $(OUTDIR)/version.h.tmp 2>/dev/null)
ifneq ($(PREV_VERSION),$(CURR_VERSION))
$(shell mv $(OUTDIR)/version.h.tmp $(OUTDIR)/version.h)
else
$(shell rm $(OUTDIR)/version.h.tmp)
endif

$(info Building $(VERSION))

all: release

release:
	$(CC) -DNDEBUG -O3                  $(CFLAGS) $(CFLAGS_WARNINGS) -o $(OUTFILE) $(SRC) $(LIB)

debug:
	$(CC) -DDEBUG  -O0 -g3 -ggdb -p -pg $(CFLAGS) $(CFLAGS_WARNINGS) -o $(OUTFILE) $(SRC) $(LIB)

# Will build on Raspberry Pi 1 only
pi1:
	$(CC) -DNDEBUG -O3 -march=armv6 -mtune=arm1176jzf-s -mfloat-abi=hard -mfpu=vfp -ffast-math $(CFLAGS) $(CFLAGS_WARNINGS) -o $(OUTFILE) $(SRC) $(LIB)

rebuild: clean all

install:
	@if [ ! -f $(OUTFILE) ] ; then echo "Cannot find the binary to install! You have to run just \"make\" first!" ; exit 1 ; fi
	install -d $(DESTDIR)/usr/bin
	install $(OUTFILE) $(DESTDIR)/usr/bin

clean:
	$(RM) -rf "$(OUTDIR)"

=== include/fixedptc/Makefile ===
all: test verify_32 verify_64
	true

test: test.c fixedptc.h
	gcc -o test -O3 -Wall test.c

verify_32: verify.c fixedptc.h
	gcc -o verify_32 -O3 -Wall -DFIXEDPT_BITS=32 -lm verify.c

verify_64: verify.c fixedptc.h
	gcc -o verify_64 -O3 -Wall -DFIXEDPT_BITS=64 -lm verify.c

=== debian/changelog ===
rtl-wmbus (1.0.1-2) experimental; urgency=medium

  *	Update Vcs-Git and Vcs-Browser and Watch.

 -- Fredrik Öhrström <oehrstroem@gmail.com>  Mon, 15 May 2023 15:48:21 +0200

rtl-wmbus (1.0.1-1) experimental; urgency=medium

  * First package upload (Closes: #998720).
  * Upload sponsored by Petter Reinholdtsen.

 -- Fredrik Öhrström <oehrstroem@gmail.com>  Sun, 07 May 2023 11:06:21 +0200

=== debian/control ===
Source: rtl-wmbus
Section: comm
Priority: optional
Maintainer: Fredrik Öhrström <oehrstroem@gmail.com>
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.5.1
Homepage: https://github.com/xaelsouth/rtl-wmbus
Vcs-Browser: https://salsa.debian.org/weetmuts/package-rtl-wmbus.git
Vcs-Git: https://salsa.debian.org/weetmuts/package-rtl-wmbus.git
Rules-Requires-Root: no

Package: rtl-wmbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , rtl-sdr
Description: software defined receiver for Wireless-M-Bus (EN13757 OMS) with RTL-SDR
 Allow for receiving meter data via radio according to the European
 standard EN13757 OMS for remote reading of smart meters.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# disable dbgsyms
export DEB_BUILD_OPTIONS=noddebs

%:
	dh $@

LPAR=(
RPAR=)
CHANGELOG_RELEASE=$(shell cat debian/changelog | head -n 1 | grep -o '$(LPAR).*$(RPAR)' | tr -d '$(LPAR)$(RPAR)' )

override_dh_auto_build:
	$(MAKE) COMMIT_HASH= TAG=$(CHANGELOG_RELEASE) BRANCH= CHANGES=

override_dh_builddeb:
	dh_builddeb -- -Zgzip

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rtl-wmbus-$1.tar.gz%" \
    https://github.com/weetmuts/rtl-wmbus/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rtl-wmbus 1.1.0

=== debian/changelog ===
rtl-wmbus (1.1.0-1) unstable; urgency=medium

  [ Fredrik Öhrström ]
  * New upstream version 1.1.0

  [ Anton Gladky ]
  * Exclude packaging files from copyright
  * Add salsa-ci CI/CD
  * Modernize rules and generate manpage
  * Update debhelper compatibility to 13
  * Update Standards-Version to 4.7.3
  * Update maintainer to Debian Hamradio team
  * Add autopkgtests for basic functionality
  * Respect standard compiler flags in Makefile

 -- Anton Gladky <gladk@debian.org>  Wed, 04 Feb 2026 06:44:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COMMIT_HASH= TAG=$(shell dpkg-parsechangelog -S Version) BRANCH= CHANGES=
	help2man --no-info --name='software defined receiver for Wireless M-Bus' \
		--output=debian/rtl_wmbus.1 ./build/rtl_wmbus

override_dh_clean:
	dh_clean debian/rtl_wmbus.1

=== debian/tests/control ===
Tests: version help basic-options
Depends: rtl-wmbus
